## org.biojava.utils
Class ListTools.Doublet

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              org.biojava.utils.ListTools.Doublet

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable, java.util.Collection, java.util.List

Enclosing class:
  ListTools

    public static class ListTools.Doublet

extends java.util.AbstractList
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`ListTools.Doublet()`
`ListTools.Doublet(java.lang.Object a, java.lang.Object b)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`java.lang.Object` `get(int indx)`
`java.lang.Object` `getA()`
`java.lang.Object` `getB()`
`java.util.Iterator` `getIterator()`
`int` `hashCode()`
`void` `set(java.lang.Object a, java.lang.Object b)`
`void` `setA(java.lang.Object a)`
`void` `setB(java.lang.Object b)`
`int` `size()`

Methods inherited from class java.util.AbstractList
`add, add, addAll, clear, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set, subList`

Methods inherited from class java.util.AbstractCollection
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

Constructor Detail

### ListTools.Doublet

    public ListTools.Doublet()

### ListTools.Doublet

    public ListTools.Doublet(java.lang.Object a,
                             java.lang.Object b)

Method Detail

### set

    public void set(java.lang.Object a,
                    java.lang.Object b)

### setA

    public void setA(java.lang.Object a)

### setB

    public void setB(java.lang.Object b)

### getA

    public java.lang.Object getA()

### getB

    public java.lang.Object getB()

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Collection`
  Specified by:
    `size` in interface `java.util.List`
  Specified by:
    `size` in class `java.util.AbstractCollection`

### get

    public java.lang.Object get(int indx)

  Specified by:
    `get` in interface `java.util.List`
  Specified by:
    `get` in class `java.util.AbstractList`

### getIterator

    public java.util.Iterator getIterator()

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `java.util.Collection`
  Specified by:
    `hashCode` in interface `java.util.List`
  Overrides:
    `hashCode` in class `java.util.AbstractList`

### equals

    public boolean equals(java.lang.Object o)

  Specified by:
    `equals` in interface `java.util.Collection`
  Specified by:
    `equals` in interface `java.util.List`
  Overrides:
    `equals` in class `java.util.AbstractList`